import * as winston from 'winston';
import { ConsoleLogger, Logger } from 'tabby-core';
import { ElectronService } from '../services/electron.service';
export declare class WinstonAndConsoleLogger extends ConsoleLogger {
    private winstonLogger;
    constructor(winstonLogger: winston.Logger, name: string);
    protected doLog(level: string, ...args: any[]): void;
}
export declare class ElectronLogService {
    private log;
    /** @hidden */
    constructor(electron: ElectronService);
    create(name: string): Logger;
}
